yosys/tests/various/logger_cmd_error.sh

10 lines
219 B
Bash
Raw Permalink Normal View History

2024-10-07 14:49:17 +02:00
#!/usr/bin/env bash
trap 'echo "ERROR in logger_cmd_error.sh" >&2; exit 1' ERR
2026-03-27 08:27:52 +01:00
($YOSYS -v 3 -C <<EOF
2024-10-07 14:49:17 +02:00
yosys -import
hierarchy -top nonexistent
EOF
) 2>&1 | grep -F "ERROR: Module \`nonexistent' not found!" > /dev/null